Subject: Re: [MEXT] Prefix Delegation documents

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 22 Nov 2007 20:16:43 -0800 (PST)

Hi Vijay,
  I agree with you.
Regarding the status of the draft, it is possible to have the document to be standards track even if it does not define any new messages/parameters. An example is draft-ietf-16ng-ipv6-over-ipv6cs-11
Regards,

Behcet

----- Original Message ----
From: Vijay Devarapalli <[email-masked]>
To: Pascal Thubert (pthubert) <[email-masked]>
Cc: [email-masked]
Sent: Thursday, November 22, 2007 3:56:09 PM
Subject: Re: [MEXT]  Prefix Delegation documents

I don't believe it is necessary to extend DHAAD for NEMO prefix
delegation. The mobile router could assume that the home agent it
is bootstrapping does support a mechanism for assigning prefixes
for the mobile network. I don't think we have any home agents
deployed today that support mobile routers to worry about. :) So
it would be safe to assume that a home agent that supports mobile
routers also supports a mechanism to assign a mobile network
prefix.

Vijay

Pascal Thubert (pthubert) wrote:
> Hi Alex
> 
> My take is that similar DHAAD flags should be present in both drafts
 for
> similar reasons; last I proposed it was rejected; I think that the
> argument was that locating the HA should be a DNS issue anyway. From
 the
> discussion we had recently with Romain, I still think that DHAAD and
 DNS
> can be complementary.
> 
> You have some good points on DNS. But at this time we address
 prefixes
> not hosts. How the hosts on the MNP get names and publish those is an
> interesting issue but out of scope at this time.
> 
> The fact that the HA uses NEMO extensions to pass the prefix to the
 MR
> does not preclude the use of a DHCP-PD server in the back end. It's
 just
> abstracting and simplifying that interaction. One problem with the
> DHCP-PD draft is lifetime of the lease: should it die with the MR-HA
> tunnel? The Nemo based draft is conscious of the volatility of the
> tunnel and the HA proxies the PD process for the MR based on the MR
> demands.
>  
> 
> Pascal
> 
>> -----Original Message-----
>> From: Alexandru Petrescu [mailto:[email-masked]]
>> Sent: Wednesday, November 21, 2007 6:33 PM
>> To: Pascal Thubert (pthubert)
>> Cc: Vijay Devarapalli; Teco Boot; [email-masked]
>> Subject: Re: [MEXT] Prefix Delegation documents
>>
>> Pascal Thubert (pthubert) wrote:
>>> Hi Vijay
>>>
>>> My proposal to break the tie is this:
>>>
>>> - move draft-ietf-nemo-dhcpv6-pd-02.txt to informational track as
 it
>>>  documents a way to use DHCP-PD but does not need new exchanges.
>> But as Romain pointed out, DHCP-PD as specified in this draft
 extends
>> DHAAD by adding a new D flag.  If we want to avoid the use of the
 new D
>> flag then we should (probably) say in the DHCP-NEMO-PD draft how
 that
>> DHCPv6 Solicit is sent through the MR-HA tunnel (or not through
 tunnel)
>> and then relayed by the HA on the home link (or the HA is the DHCPv6
>> Server).
>>
>> I think even if we move it to the Informational track then we still
> need
>> to improve some stuff in it according to implementation.  Or just
 let
> it
>> float... I don't know.
>>
>>> Last I checked, some components were still missing but Ralph knows
>>> better.
>>>
>>> - focus on draft-ietf-nemo-prefix-delegation-02.txt for standard
>>> track. The draft is agnostic to the delegation mechanism in the
>>> backend and does not have dependencies.
>> But it extends MIP6, right?  (adds flags in messages).
>>
>>> It proposes an integrated mechanism that fits the general MIP6 /
 NEMO
>>> approach and formats.
>>>
>>> What do you think?
>> I think we should not extend MIP6 to do prefix allocation.  BEcause:
>>
>> -I think addressing autoconfiguration mechanisms DHCP and others are
>>  already there for us to reuse and enhance eventually, no need to
> extend
>>  MIP6.
>> -what happens when MIPv6 allocates a prefix and PMIPv6 allocates one
>>  as well, but in a different way? (currently PMIPv6 doesn't seem to
> use
>>  NEMO-MIP6-PD flags neither does NEMO-MIP6-PD use PMIPv6 way of
> putting
>>  0 to mean request prefix).  Are the MIP6 and PMIP6 means to
 allocate
>>  prefixes equivalent?
>> -what happens when we want the prefix delegated to the MR to be
>>  accompanied by a delegation of responsibility of the DNS reverse
>>  resolution as well?  Can we reuse DHCP-DNS interactions (e.g. DNS
>>  update RFC2136)?  Or should we design a new MIP6-DNS interaction?
>>
>> That's simply opinion.  I'm not sure about other criteria that came
 to
>> give the suggestion you made.
>>
>> Alex
>>
>>
>>
 ______________________________________________________________________
>> This email has been scanned by the MessageLabs Email Security
 System.
>> For more information please visit http://www.messagelabs.com/email
>>
 ______________________________________________________________________

_______________________________________________
MEXT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext

_______________________________________________
MEXT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mext